curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
[
{
"trackingID": "<string>",
"shippedDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
]
'import requests
url = "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages"
payload = [
{
"trackingID": "<string>",
"shippedDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
trackingID: '<string>',
shippedDate: '2023-11-07T05:31:56Z',
comment: '<string>'
}
])
};
fetch('https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'trackingID' => '<string>',
'shippedDate' => '2023-11-07T05:31:56Z',
'comment' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages"
payload := strings.NewReader("[\n {\n \"trackingID\": \"<string>\",\n \"shippedDate\": \"2023-11-07T05:31:56Z\",\n \"comment\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"trackingID\": \"<string>\",\n \"shippedDate\": \"2023-11-07T05:31:56Z\",\n \"comment\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"trackingID\": \"<string>\",\n \"shippedDate\": \"2023-11-07T05:31:56Z\",\n \"comment\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"packageDate": "2023-11-07T05:31:56Z",
"trackingID": "<string>",
"weights": 123,
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippedDate": "2023-11-07T05:31:56Z",
"trackingUrl": "<string>",
"comment": "<string>"
}
]{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Post Package Data For Delivery Note
Transmit Package Data
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
[
{
"trackingID": "<string>",
"shippedDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
]
'import requests
url = "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages"
payload = [
{
"trackingID": "<string>",
"shippedDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
trackingID: '<string>',
shippedDate: '2023-11-07T05:31:56Z',
comment: '<string>'
}
])
};
fetch('https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'trackingID' => '<string>',
'shippedDate' => '2023-11-07T05:31:56Z',
'comment' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages"
payload := strings.NewReader("[\n {\n \"trackingID\": \"<string>\",\n \"shippedDate\": \"2023-11-07T05:31:56Z\",\n \"comment\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"trackingID\": \"<string>\",\n \"shippedDate\": \"2023-11-07T05:31:56Z\",\n \"comment\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/delivery-notes/{deliveryNoteId}/packages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"trackingID\": \"<string>\",\n \"shippedDate\": \"2023-11-07T05:31:56Z\",\n \"comment\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"packageDate": "2023-11-07T05:31:56Z",
"trackingID": "<string>",
"weights": 123,
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippedDate": "2023-11-07T05:31:56Z",
"trackingUrl": "<string>",
"comment": "<string>"
}
]{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
Grants permission to create and modify delivery notes.
Grants permission to create and modify delivery notes.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the delivery note.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
The packages to create.
Response
All packages that have been created for the delivery note.
The id of the package.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The date when the package was created.
The tracking Id of the package.
The weight of the package.
The shipping method of the package.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The date when the package was shipped.
The tracking url of the package.
The comment of the package.
Was this page helpful?